Skip to main content
POST
Withdraw stablecoins from an org wallet to a nominated address

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required
Example:

"org-abc123"

id
string
required
Example:

"orw-abc123"

Body

application/json
token
enum<string>
required

Which stablecoin to withdraw

Available options:
USDC,
EURC
Example:

"USDC"

amount
string
required

Amount in the token’s smallest unit (6-decimal atomic units).

Example:

"1500000"

toAddress
string
required

Destination 0x address

Example:

"0x209693Bc6afc0C5328bA36FaF03C514EF312287C"

Response

Envelope { success, userOpHash, txHash }

success
boolean
required
Example:

true

userOpHash
string
required

ERC-4337 user operation hash for the withdrawal

Example:

"0xUserOpHash"

txHash
string | null
required

On-chain transaction hash, once the user operation is mined

Example:

"0xTxHash"